# SolarControl

Enforce a zero export (or whatever consumption you like) policy with an OpenDTU-controlled inverter and energy data from MQTT


## Configuring and usage

The script can be configured using the .env file where you can adjust it (hopefully perfect) to your needs. After that, just run the script:

```bash
python3 lge320reader.py
```

Please note: the .env file needs to be in the same folder or any other folder higher up in the directory structure as the script (more specifically, the WORKDIR). It is just a help, actually, the script searches for specific variables in its environment variables. It only loads the .env file so that you do not need to `export` all the files before running (see https://pypi.org/project/python-dotenv/ for more details). This also means that when using it in docker, you can set the docker containers environment file to that .env file and it will be accepted too.


## License

This project is licensed under the terms of the GNU General Public License v3.0 or later, see [COPYING](COPYING).
